<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<div id="file-title">
  {{title}}
</div>

<div id="file-content">

  <election-details-table [dataSource]="proportionalElectionsDataSource"
                          *ngIf="proportionalElectionsDataSource.data.length > 0"
                          type="PROPORTIONAL"
                          id="table-for-proportional">
  </election-details-table>

  <election-details-table [dataSource]="majorityWithListElectionsDataSource"
                          *ngIf="majorityWithListElectionsDataSource.data.length > 0"
                          type="MAJORITY_WITH_LIST"
                          id="table-for-majority-with-list">
  </election-details-table>

  <election-details-table [dataSource]="majorityElectionsDataSource"
                          *ngIf="majorityElectionsDataSource.data.length > 0"
                          type="MAJORITY"
                          id="table-for-majority">
  </election-details-table>

</div>

